<?php

namespace App\Models\Webprofile;

use App\Http\Traits\UuidTrait;
use App\Models\Webprofile\En\Information as EnInformation;
use Illuminate\Database\Eloquent\Model;

class Information extends Model
{
    use UuidTrait;

    public $incrementing = false;
    protected $table = 'swp_informations';

    protected $guarded = [];

    public function rEn()
    {
        return $this->hasOne(EnInformation::class, 'information_id', 'id');
    }
}
